package es.ejie.frmk.infraestructura.mail;

import java.io.Serializable;

/**
 * Representación conceptual de un usuario de Email. Los atributos de la clase
 * representan la dirección de email del usuario y el nombre. Como parametro
 * clave la dirección de email.
 * @version 2.0 Fecha: 22-mar-06
 */
public class Q70MailUser implements Serializable {

	private String direccionEmail = null;
	private String nombrePersonal = null;

	/**
	 * Constructor de la clase Q70MailUser
	 * @param direccionEmail
	 */
	public Q70MailUser(String direccionEmail) {
		setDireccionEmail(direccionEmail);
	}

	/**
	 * Constructor de la clase Q70MailUser
	 * @param direccionEmail
	 * @param nombrePersonal
	 */
	public Q70MailUser(String direccionEmail, String nombrePersonal) {
		setDireccionEmail(direccionEmail);
		setNombrePersonal(nombrePersonal);
	}

	/**
	 * @return direccion del email
	 */
	public String getDireccionEmail() {
		return direccionEmail;
	}

	/**
	 * @param direccionEmail
	 */
	public void setDireccionEmail(String direccionEmail) {
		this.direccionEmail = direccionEmail;
	}

	/**
	 * @return nombre de la persona
	 */
	public String getNombrePersonal() {
		return nombrePersonal;
	}

	/**
	 * @param nombrePersonal
	 */
	public void setNombrePersonal(String nombrePersonal) {
		this.nombrePersonal = nombrePersonal;
	}
}
